Bug 658263 - Auto-Discovery of processes on HP-UX platform are unsuccessful when process has a long command-line
Auto-Discovery of processes on HP-UX platform are unsuccessful when process h...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-29 15:11 EST by Larry O'Leary
Modified: 2014-07-01 10:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
HP-UX 11i JON 2.4.0 JBoss EAP instance with a command-line over 1020 characters in length
Last Closed: 2014-07-01 10:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2010-11-29 15:11:29 EST
An AS instance running on HP-UX 11i fails to be discovered when its command line contains 1050 characters. If the command-line arguments are omitted from the AS instance, discovery can be successful but when all necessary arguments are present on the command-line of the AS instance, the instance is not auto-discovered. The same command-line for an AS instance seems to work just fine on Windows or Linux platforms.

This is most likely a limitation of the OS. The pstat function that is used to obtain the command-line seems to have a limit of 1020 characters. It appears Sigar uses the pstat_getcommandline function to obtain the processes command-line and the HP documentation indicates that this function is capable of returning up to 1020 characters (http://search.hp.com/redirect.html?type=REG&qt=pstat_getcommandline&url=http%3A//h20000.www2.hp.com/bc/docs/support/SupportManual/c01921366/c01921366.pdf%3Fjumpid%3Dreg_R1002_USEN&pos=1).
Comment 1 Larry O'Leary 2010-11-29 15:13:33 EST
Do we have alternative methods of detecting process information or server information that does not rely on Sigar or the native methods provided by the OS? Possibly a fall-back option?
Comment 2 Jay Shaughnessy 2014-06-30 16:35:20 EDT
Larry, still an issue?
Comment 3 Larry O'Leary 2014-06-30 21:27:21 EDT
I am sure this is still an issue. 

However, from the downstream perspective, HP-UX support was officially dropped in JBoss ON 3.0. As JBoss ON 2.4 is now end-of-life there auto-discovery is not supported on HP-UX.

My question in comment 1 still applies but I fear the answer is probably no. However, it does seem that we might be able to at least determine JBOSS_HOME in this case and from that get the rest of the discovery information from the file-system as a fall-back measure.
Comment 4 Jay Shaughnessy 2014-07-01 10:04:54 EDT
Larry, thanks for the info.  Given what you say I'm closing this as won't fix.  But clearly this is something that may be useful as a reference for anyone on HP-UX.  And we of course would welcome any submission that helps resolve the issue.

Note You need to log in before you can comment on or make changes to this bug.